<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:dlf-schema PUBLIC
  "-//LogReport.ORG//DTD Lire DLF Schema Markup Language V1.1//EN"
  "http://www.logreport.org/LDSML/1.1/ldsml.dtd">
<lire:dlf-schema superservice="spamfilter" timestamp="time"
 xmlns:lire="http://www.logreport.org/LDSML/">

<!-- $Id: spamfilter.xml,v 1.2 2002/11/06 18:05:32 flacoste Exp $ -->

<!--

Copyright (C) 2002 Edwin Groothuis <edwin@mavetju.org>

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice,
this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

3. The name of the copyright holder may not be used to endorse or promote
products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
OF SUCH DAMAGE.

-->

 <lire:title>DLF Schema for Message Store service</lire:title>

 <lire:description>
  <para>Each DLF records in the <structname>spamfilter</structname>
   schema represents one command on the server. Not all fields will be
   meaningful for every type of action.
  </para>
 </lire:description>

 <lire:field name="time" type="timestamp" label="Timestamp">
  <lire:description>
   <para>The timestamp of the event.</para>
  </lire:description>
 </lire:field>

 <lire:field name="localserver"	type="hostname" label="Mail Server">
  <lire:description>
   <para>The hostname on which the message store is running. In the
    case of message store proxies, this will be the target server.
   </para>
  </lire:description>
 </lire:field>

 <lire:field name="host_originating" type="hostname" label="Sending Host">
  <lire:description>
   <para>The host name of the client related to the event.</para>
  </lire:description>
 </lire:field>

 <lire:field name="ip_originating" type="ip" label="Sending IP">
  <lire:description>
   <para>The ip address of the client related to the event.</para>
  </lire:description>
 </lire:field>

 <lire:field name="msgid" type="string"	label="Message ID">
  <lire:description>
   <para>The message-id of the email.</para>
  </lire:description>
 </lire:field>

 <lire:field name="user" type="string" label="Connecting User">
  <lire:description>
   <para>The user name of the authenticated user associated with the
    connection. 
   </para>
  </lire:description>
 </lire:field>

 <lire:field name="msgsize_in" type="bytes" label="Msg's Size In">
  <lire:description>
   <para>The size of the message when entering the spam filter.</para>
  </lire:description>
 </lire:field>

 <lire:field name="msgsize_out"	type="bytes" label="Msg's Size Out">
  <lire:description>
   <para>The size of the message when leaving the spam filter.</para>
  </lire:description>
 </lire:field>

 <lire:field name="time_elapsed" type="duration" label="Duration">
  <lire:description>
   <para>Time it took for the message to enter and leave the spam
    filter agent.
   </para>
  </lire:description>
 </lire:field>

 <lire:field name="spam_score"	type="number" label="Score">
  <lire:description>
   <para>The SPAM score attributed to the message.</para>
  </lire:description>
 </lire:field>

 <lire:field name="spam_result"	type="bool" label="Spam?">
  <lire:description>
   <para>Was the message considered SPAM?</para>
  </lire:description>
 </lire:field>

</lire:dlf-schema>

